from django.db import models

# Create your models here.
class Artist(models.Model):
    artist_name = models.TextField()
    monthly_listeners = models.IntegerField()
    birth_name = models.TextField(default="")
    bio = models.TextField(max_length=700, default="")

    def __str__(self):
        return self.artist_name


class Album(models.Model):
    album_name = models.TextField()
    artist = models.ForeignKey(Artist, on_delete = models.CASCADE)
    description = models.TextField()
    release_date = models.DateField()
    label = models.TextField(default="")
    song_count = models.IntegerField(default=0)

    def __str__(self):
        return '{} by {}'.format(self.album_name, self.artist)


class Song(models.Model):
    song_title = models.TextField()
    artist = models.ForeignKey(Artist, on_delete = models.CASCADE)
    album = models.ForeignKey(Album, on_delete = models.CASCADE)
    song_length = models.IntegerField()
    music_video = models.BooleanField(default=False)
    lyrics = models.TextField(default="")

    def __str__(self):
        return '{} by {}'.format(self.song_title, self.artist)